FreeCalypso > hg > fc-magnetite
view scripts/config-headers.sh @ 574:41b6a18ffa0b
GPF rebuild from source: symlink magic to fix __FILE__
With this fix all of the core GPF libraries (frame_*, misc_* and tif_*)
compile into objects that perfectly match the original TCS211 binary
versions bit for bit. Prior to this fix there was an issue with TI's use
of __FILE__ expanding into longer pathnames that were an artifact of our
FC Magnetite build system, and it appears that these longer __FILE__
strings in GPF may have been causing some breakage in some error handling
paths.
author | Mychaela Falconia <falcon@freecalypso.org> |
---|---|
date | Thu, 24 Jan 2019 23:26:51 +0000 |
parents | fd8227e3047d |
children | 92dbfa906f66 |
line wrap: on
line source
#!/bin/sh if [ $# != 2 ] then echo "usage: $0 srvc-flavor rv-swe-flavor" 1>&2 exit 1 fi if [ -z "$TARGET" ] then echo "Error: TARGET= must be passed via environment" 1>&2 exit 1 fi if [ -z "$BUILD_DIR" ] then echo "Error: BUILD_DIR= must be passed via environment" 1>&2 exit 1 fi set -e rm -rf $BUILD_DIR/config cp -r cfg-headers/base $BUILD_DIR/config cp cfg-headers/$1/* $BUILD_DIR/config cp cfg-headers/rv_swe-$2.h $BUILD_DIR/config/rv_swe.h cp targets/$TARGET.h $BUILD_DIR/config/fc-target.cfg